> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Wallet Management Report

> Lists active non-admin roles with their current wallets, allocation reference, salary and stablecoin cap.

Required scope: `compensation:read`. It also needs `banking:read`.

## OpenAPI

````yaml api-reference/openapi.json POST /tga/get-wallet-management-report
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /tga/get-wallet-management-report:
    post:
      operationId: getWalletManagementReport
      summary: Get Wallet Management Report
      x-toku-required-scope: compensation:read
      description: >-
        Lists active non-admin roles with their current wallets, allocation
        reference, salary and stablecoin cap.


        Required scope: `compensation:read`. It also needs `banking:read`.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/GetWalletManagementReportRequest'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetWalletManagementReportResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    GetWalletManagementReportRequest: {}
    GetWalletManagementReportResponse:
      type: object
      properties:
        employeeWallets:
          type:
            - array
            - 'null'
          items:
            type: object
            properties:
              ID:
                type:
                  - string
                  - 'null'
              roleInOrgID:
                type:
                  - string
                  - 'null'
              userID:
                type:
                  - string
                  - 'null'
              maxStablecoinPercentage:
                type:
                  - number
                  - 'null'
              employeeBaseSalary:
                type:
                  - string
                  - 'null'
              employeeBaseSalaryCurrency:
                type:
                  - string
                  - 'null'
              walletOwner:
                type:
                  - string
                  - 'null'
              network:
                type:
                  - string
                  - 'null'
              networkIcon:
                type:
                  - string
                  - 'null'
              token:
                type:
                  - string
                  - 'null'
              tokenIcon:
                type:
                  - string
                  - 'null'
              walletReference:
                type:
                  - object
                  - 'null'
                properties:
                  createdAt:
                    type:
                      - string
                      - 'null'
                  roleInOrgID:
                    type:
                      - string
                      - 'null'
                  walletID:
                    type:
                      - string
                      - 'null'
                  walletReferenceID:
                    type:
                      - string
                      - 'null'
                  distributionRatio:
                    type:
                      - string
                      - 'null'
                  distributionType:
                    type:
                      - string
                      - 'null'
                  isBonusToken:
                    type:
                      - boolean
                      - 'null'
                  fixedAmount:
                    type:
                      - string
                      - 'null'
              address:
                type:
                  - string
                  - 'null'
              destinationTag:
                type:
                  - number
                  - 'null'
              status:
                type:
                  - string
                  - 'null'
              createdAt:
                type:
                  - string
                  - 'null'
              connectedViaMesh:
                type:
                  - boolean
                  - 'null'
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
